#include <mod.h>
#include <logger.h>

#define UNUSED __attribute__((unused))

static int
global_init_cb(UNUSED int argc, UNUSED char **argk, UNUSED char **argv, UNUSED void **ctx)
{
	return 0;
}

static void
global_free_cb(UNUSED void *global_ctx)
{
	return;
}

static int
thread_init_cb(UNUSED int core, UNUSED void *global_ctx, UNUSED void **ctx)
{
	return 0;
}

static void
thread_free_cb(UNUSED int core, UNUSED void *global_ctx, UNUSED void *ctx)
{
	return;
}

static int
conn_init_cb(UNUSED void *global_ctx, UNUSED void *thread_ctx, UNUSED void **ctx)
{
	return 0;
}

static void
conn_free_cb(UNUSED void *global_ctx, UNUSED void *thread_ctx, UNUSED void *conn_ctx)
{
	return;
}

static int
conn_recv_cb(UNUSED const char *data, UNUSED size_t sz, UNUSED void *global_ctx,
    UNUSED void *thread_ctx, UNUSED void *conn_ctx)
{
	return 0;
}

static int
conn_send_cb(UNUSED const char *out, UNUSED size_t sz, size_t *out_sz, UNUSED void *global_ctx,
    UNUSED void *thread_ctx, UNUSED void *conn_ctx)
{
	*out_sz = 0;
	return 0;
}

static struct ppd_mod_info minfo = { .name = "ECHO_PPD",
    .global_init_cb = global_init_cb,
    .global_free_cb = global_free_cb,
	.thread_init_cb = thread_init_cb,
    .thread_free_cb = thread_free_cb,
	.conn_init_cb = conn_init_cb,
	.conn_free_cb = conn_free_cb,
	.conn_send_cb = conn_send_cb,
	.conn_recv_cb = conn_recv_cb };

struct ppd_mod_info *
PPD_GET_MOD_INFO_ID(void)
{
	return &minfo;
}